<?php

require('../config.php');

// print_r($_POST);
$response["response"] = array();
$data = array();
$details = array();

//check required params
if (!isset($_POST['email']) ||!isset($_POST['password']) || !isset($_POST['login']) || $_POST['login'] != 'login@d2' ){
    $data["status"] = "failed";
    $data["reason"] = "required parameters incomplete";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(401);
    exit();
}

//initialize data
$email = mysqli_real_escape_string($connect_db,$_POST['email']);
$password = $_POST['password'];

//check if email already exists
$check_email = mysqli_query($connect_db,"SELECT * FROM partners WHERE email = '$email' ");
if(!$check_email || mysqli_num_rows($check_email) != 1){
    $data["status"] = "failed";
    $data["reason"] = "account not found";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(404);
    exit();
}

//get user details
while($get_user_row = mysqli_fetch_assoc($check_email)){
    $user_id = $get_user_row["id"];
    $user_name = $get_user_row["name"];
    $user_email = $get_user_row["email"];
    $user_phone = $get_user_row["phone"];
    $user_password = $get_user_row["password"];
}

//check password
if(!password_verify($password,$user_password)){
    $data["status"] = "failed";
    $data["reason"] = "password incorrect";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(401);
    exit();
}else{
    $details["user_id"] = $user_id;
    $details["user_name"] = $user_name;
    $details["user_email"] = $user_email;
    $details["user_phone"] = $user_phone;
    $data["data"] = $details;
    $data["status"] = "success";
    $data["reason"] = "login successful";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(200);
    exit();
}
