<?php

require('../config.php');

// print_r($_POST);
$response["response"] = array();
$data = array();
$details = array();

//check required params
if (!isset($_POST['user_id']) || !isset($_POST['old_password']) || !isset($_POST['new_password']) || !isset($_POST['reset_password']) || $_POST['reset_password'] != 'reset_password@d2' ){
    $data["status"] = "failed";
    $data["reason"] = "required parameters incomplete";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(401);
    exit();
}

$user_id = mysqli_real_escape_string($connect_db,$_POST['user_id']);
$old_password = mysqli_real_escape_string($connect_db,$_POST['old_password']);
$new_password = $_POST['new_password'];

//check if user exists
$check_user = mysqli_query($connect_db,"SELECT * FROM partners WHERE id = '$user_id' ");
if(!$check_user || mysqli_num_rows($check_user) != 1){
    $data["status"] = "failed";
    $data["reason"] = "account not found";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(404);
    exit();
}

//check old password
while($check_user_row = mysqli_fetch_assoc($check_user)){
    $user_pass = $check_user_row["password"];
}
if(!password_verify($old_password,$user_pass)){
    $data["status"] = "failed";
    $data["reason"] = "old password incorrect";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(401);
    exit();
}

//proceed to reset password
$new_pass = password_hash($new_password,PASSWORD_BCRYPT,array('cost'=>10));
$update_user = mysqli_query($connect_db,"UPDATE partners SET password = '$new_pass' WHERE id = '$user_id' ");
if($update_user){
    $data["status"] = "success";
    $data["reason"] = "password updated";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(200);
    exit();
}

