<?php

require('../config.php');

// print_r($_POST);
$response["response"] = array();
$data = array();
$details = array();

//check required params
if (!isset($_POST['user_id']) || !isset($_POST['request_id']) || !isset($_POST['deliver_request']) || $_POST['deliver_request'] != 'deliver_request@d2' ){
    $data["status"] = "failed";
    $data["reason"] = "required parameters incomplete";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(401);
    exit();
}

$user_id = mysqli_real_escape_string($connect_db,$_POST['user_id']);
$request_id = mysqli_real_escape_string($connect_db,$_POST['request_id']);

//check if user already exists
$check_user = mysqli_query($connect_db,"SELECT * FROM partners WHERE id = '$user_id' ");
if(!$check_user || mysqli_num_rows($check_user) != 1){
    $data["status"] = "failed";
    $data["reason"] = "account not found";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(404);
    exit();
}

//check if rider already exists
$check_request = mysqli_query($connect_db,"SELECT * FROM bookings WHERE id = '$request_id' AND partner_id = '$user_id' ");
if(!$check_request || mysqli_num_rows($check_request) != 1){
    $data["status"] = "failed";
    $data["reason"] = "booking not found or accepted by another rider";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(404);
    exit();
}

while($get_request_row = mysqli_fetch_assoc($check_request)){
    $request_status = $get_request_row["status"];
}
if($request_status != "A" && $request_status != "AC"){
    $data["status"] = "failed";
    $data["reason"] = "booking cancelled or already delivered";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(409);
    exit();
}else{
    //deliver request
    $deliver_request = mysqli_query($connect_db,"UPDATE bookings SET status = 'DL' WHERE id = '$request_id' ");
    if($deliver_request){
        $data["status"] = "success";
        $data["reason"] = "request_delivered";
        $data["data"] = $details;
        array_push($response["response"], $data);
        echo json_encode($response,JSON_PRETTY_PRINT);
        http_response_code(200);
        exit();
    }
}
