<?php

require('../config.php');

// print_r($_POST);
$response["response"] = array();
$data = array();
$details = array();

//check required params
if (!isset($_POST['name']) || !isset($_POST['email']) || !isset($_POST['phone']) || !isset($_POST['password']) || !isset($_POST['signup']) || $_POST['signup'] != 'signup@d2' ){
    $data["status"] = "failed";
    $data["reason"] = "required parameters incomplete";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(401);
    exit();
}

//initialize data
$email = mysqli_real_escape_string($connect_db,$_POST['email']);
$phone = mysqli_real_escape_string($connect_db,$_POST['phone']);
$name = mysqli_real_escape_string($connect_db,$_POST['name']);
$password = $_POST['password'];

//check if email already exists
$check_email = mysqli_query($connect_db,"SELECT * FROM partners WHERE email = '$email' ");
if(!$check_email || mysqli_num_rows($check_email) > 0){
    $data["status"] = "failed";
    $data["reason"] = "email already exist";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(409);
    exit();
}

//submit data
//encrypt password
$pass = password_hash($password,PASSWORD_BCRYPT,array("cost"=>10));
$submit_data = mysqli_query($connect_db,"INSERT INTO partners(name,email,password,phone) VALUES('$name','$email','$pass','$phone')");
if(!$submit_data){
    $data["status"] = "failed";
    $data["reason"] = "Error occurred";
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(500);
    exit(); 
}else{
    //get user details
    $get_user = mysqli_query($connect_db,"SELECT * FROM partners WHERE email = '$email'");
    while($get_user_row = mysqli_fetch_assoc($get_user)){
        $user_id = $get_user_row["id"];
        $user_name = $get_user_row["name"];
        $user_email = $get_user_row["email"];
        $user_phone = $get_user_row["phone"];
    }
    $details["user_id"] = $user_id;
    $details["user_name"] = $user_name;
    $details["user_email"] = $user_email;
    $details["user_phone"] = $user_phone;

    //output user details in response
    $data["status"] = "success";
    $data["reason"] = "signup successful";
    $data["data"] = $details;
    array_push($response["response"], $data);
    echo json_encode($response,JSON_PRETTY_PRINT);
    http_response_code(200);
    exit(); 
}

